Freeciv-3.2: action_data Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
action_data Struct Reference

## Data Fields

action_id | act_id
int | actor_unit_id
int | target_city_id
int | target_unit_id
int | target_tile_id
int | target_building_id
int | target_tech_id
int | target_extra_id

## Detailed Description

Definition at line 81 of file action_dialog.c.

## Field Documentation

## ◆ act_id

action_id action_data::act_id

Definition at line 82 of file action_dialog.c.

Referenced by act_data(), action_entry(), action_entry_update(), bribe_response(), create_advances_list(), create_improvements_list(), incite_response(), request_action_details_callback(), simple_action_callback(), spy_advances_response(), spy_improvements_response(), spy_steal_esc_popup(), spy_steal_popup(), and spy_steal_popup_shared().

## ◆ actor_unit_id

int action_data::actor_unit_id

Definition at line 83 of file action_dialog.c.

Referenced by act_data(), act_sel_location_callback(), act_sel_new_extra_tgt_callback(), act_sel_new_unit_tgt_callback(), bribe_response(), create_advances_list(), create_improvements_list(), found_city_callback(), incite_response(), request_action_details_callback(), simple_action_callback(), spy_advances_response(), spy_improvements_response(), and upgrade_callback().

## ◆ target_building_id

int action_data::target_building_id

Definition at line 87 of file action_dialog.c.

Referenced by act_data(), create_improvements_list(), simple_action_callback(), spy_improvements_callback(), and spy_improvements_response().

## ◆ target_city_id

int action_data::target_city_id

Definition at line 84 of file action_dialog.c.

Referenced by act_data(), action_selection_refresh(), incite_response(), request_action_details_callback(), simple_action_callback(), spy_advances_response(), spy_improvements_response(), spy_steal_popup_shared(), and upgrade_callback().

## ◆ target_extra_id

int action_data::target_extra_id

Definition at line 89 of file action_dialog.c.

Referenced by act_data(), act_sel_new_extra_tgt_callback(), action_selection_refresh(), and simple_action_callback().

## ◆ target_tech_id

int action_data::target_tech_id

Definition at line 88 of file action_dialog.c.

Referenced by act_data(), create_advances_list(), simple_action_callback(), spy_advances_callback(), and spy_advances_response().

## ◆ target_tile_id

int action_data::target_tile_id

Definition at line 86 of file action_dialog.c.

Referenced by act_data(), act_sel_new_extra_tgt_callback(), act_sel_new_unit_tgt_callback(), action_selection_refresh(), request_action_details_callback(), and simple_action_callback().

## ◆ target_unit_id

int action_data::target_unit_id

Definition at line 85 of file action_dialog.c.

Referenced by act_data(), act_sel_new_unit_tgt_callback(), action_selection_refresh(), bribe_response(), request_action_details_callback(), and simple_action_callback().